﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace UltraChartColumnChartAppearance
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();



            // Approach with String column
            DataTable dt = new DataTable();
            dt.Columns.Add("Period", typeof(string));
            dt.Columns.Add("Person A", typeof(decimal));
            dt.Columns.Add("Person B", typeof(decimal));
            dt.Columns.Add("Person C", typeof(decimal));

            dt.Rows.Add("January", 10, 20, 15);
            dt.Rows.Add("February", 15, 10, 25);
            dt.Rows.Add("March", 20, 20, 35);
            dt.Rows.Add("April", 25, 15, 25);
            dt.Rows.Add("May", 30, 25, 10);
            dt.Rows.Add("June", 25, 10, 15);

          

            //// Approach with DateTime column
            //DataTable dt = new DataTable();
            //dt.Columns.Add("Period", typeof(DateTime));
            //dt.Columns.Add("Person A", typeof(decimal));
            //dt.Columns.Add("Person B", typeof(decimal));
            //dt.Columns.Add("Person C", typeof(decimal));
            //dt.Rows.Add(DateTime.Today, 10, 20, 15);
            //dt.Rows.Add(DateTime.Today.AddMonths(1), 15, 10, 25);
            //dt.Rows.Add(DateTime.Today.AddMonths(2), 20, 20, 35);
            //dt.Rows.Add(DateTime.Today.AddMonths(3), 25, 15, 25);
            //dt.Rows.Add(DateTime.Today.AddMonths(4), 30, 25, 10);
            //dt.Rows.Add(DateTime.Today.AddMonths(5), 25, 10, 15);



            ultraChart1.Data.SwapRowsAndColumns = false;
            ultraChart1.DataSource = dt;

        }

    }
}
